Subject: bug#31884: 26.1.50; Wrong icon in gtk tooltips

From: Carlos Pita <[email-masked]>
Date: Mon, 18 Jun 2018 16:08:17 -0300

Searching through the icon browser I would say that the icon in the
screenshot has stock name action-unavailable or
action-unavailable-symbolic. I grepped emacs code for these names and
couldn't find them, so I assume they're set by gtk on response to a
requested "unavailable action" (go figure). Now, the gtk code that
creates the tooltip seems to be replacing the original icon+label box
with just a custom label:

  0       g_object_set (G_OBJECT (widget), "has-tooltip", FALSE, NULL);
  1       x->ttip_widget = tooltip;
  2       g_object_ref (G_OBJECT (tooltip));
  3       x->ttip_lbl = gtk_label_new ("");
  4       g_object_ref (G_OBJECT (x->ttip_lbl));
  5       gtk_tooltip_set_custom (tooltip, x->ttip_lbl);
  6       x->ttip_window = GTK_WINDOW (gtk_widget_get_toplevel (x->ttip_lbl));

I'm unable to see here how an icon is being set at all.